Subject: bug#57856: 28.2; bookmark context strings in encrypted files

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 19 Sep 2022 14:03:02 +0200

Michael Albinus <[email-masked]> writes:

> Thinking further about, there are also other files which shouldn't
> expose snippets to bookmarks. Think about .authinfo / .netrc (more
> general, all files used as auth-sources backend). And perhaps other
> files.
>
> Wouldn't it be better, if packages like Tramp, epa, auth-sources, you
> name it, could mark files to be excluded from bookmark-make-record? For
> example, a hook a package could contribute to. In Tramp, we would run
>
> (add-hook 'bookmark-inhibit-bookmark-hook #'tramp-crypt-file-name-p)

Yes, that's true, but we don't really have a way to define
auth-source-file-p except by heuristics -- a netrc file may be called
anything.

So I'm not sure how that'd look...